Citrix XenServer Pin Count / Page Reference Grant Table Code Guest-to-Host Memory Corruption Vulnerability (CTX229057)

High Nessus Plugin ID 104174

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 7.3

Synopsis

A server virtualization platform installed on the remote host is affected by a memory corruption vulnerability.

Description

The version of Citrix XenServer installed on the remote host is missing a security hotfix. It is, therefore, affected by a memory corruption vulnerability as noted in the CTX229057 advisory.

Solution

Apply the appropriate hotfix according to the vendor advisory.

See Also

https://support.citrix.com/article/CTX229057

Plugin Details

Severity: High

ID: 104174

File Name: citrix_xenserver_CTX229057.nasl

Version: 1.8

Type: local

Family: Misc.

Published: 2017/10/26

Updated: 2020/04/30

Dependencies: 76770

Risk Information

Risk Factor: High

VPR Score: 7.3

CVSS Score Source: CVE-2017-15597

CVSS v2.0

Base Score: 9

Temporal Score: 6.7

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.1

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:citrix:xenserver

Required KB Items: Host/XenServer/version, Host/local_checks_enabled

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/10/24

Vulnerability Publication Date: 2017/10/24

Reference Information

CVE: CVE-2017-15597

BID: 101564